package org.xbib.interlibrary.catalog.builder;

import java.io.IOException;
import org.xbib.interlibrary.api.action.worker.Worker;
import org.xbib.interlibrary.api.action.worker.WorkerRequest;
import org.xbib.settings.Settings;

public abstract class ConverterWorker<R> implements Worker<R> {

    protected final Settings settings;

    public ConverterWorker(Settings settings) {
        this.settings = settings;
    }

    @Override
    public void execute(WorkerRequest<R> request) throws IOException {
        doExecute(request.getRequest());
    }

    @Override
    public void close() throws IOException {
        // nothing to do
    }

    protected abstract void doExecute(R request) throws IOException;
}
