package org.xbib.interlibrary.catalog.builder.doaj;

import java.io.IOException;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xbib.content.core.XContentHelper;
import org.xbib.content.rdf.RdfContentBuilder;
import org.xbib.content.rdf.RdfXContentFactory;
import org.xbib.content.rdf.RdfXContentParams;
import org.xbib.content.rdf.Resource;
import org.xbib.content.resource.IRI;
import org.xbib.interlibrary.catalog.builder.oai.ConverterOAI;
import org.xbib.oai.xml.MetadataHandler;
import org.xbib.settings.Settings;

/**
 * Harvest documents from DOAJ OAI and index them.
 */
public class DOAJ extends ConverterOAI {

    public DOAJ() {
    }

    @Override
    public DOAJWorkerPool newPool(Settings settings) {
        return new DOAJWorkerPool(settings);
    }

    public class DOAJWorkerPool extends ConverterOAIWorkerPool {

        public DOAJWorkerPool(Settings settings) {
            super(settings);
        }

        @Override
        public DOAJWorker newWorker(String name, int count) {
            return new DOAJWorker(settings, this);
        }
    }

    public class DOAJWorker extends ConverterOAIWorker {

        private static final Logger logger = Logger.getLogger(DOAJWorker.class.getName());

        public DOAJWorker(Settings settings, DOAJWorkerPool pool) {
            super(settings, pool);
        }

        @Override
        protected MetadataHandler getMetadataHandler() {
            return new OAISimpleMetadataHandler(this);
        }

        @Override
        protected String convert(String id, String content) throws IOException {
            return content;
        }
    }
}
