package org.xbib.interlibrary.catalog.builder.marc;

import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xbib.interlibrary.api.action.worker.WorkerPool;
import org.xbib.interlibrary.api.action.worker.WorkerPoolListener;
import org.xbib.marc.MarcRecord;

public class DefaultWorkerPoolMarcRecordListener implements WorkerPoolListener<WorkerPool<MarcRecord>> {

    private static final Logger logger = Logger.getLogger(DefaultWorkerPoolMarcRecordListener.class.getName());

    public DefaultWorkerPoolMarcRecordListener() {
    }

    @Override
    public void success(WorkerPool<MarcRecord> workerPool) {
        logger.log(Level.INFO, "success of " + workerPool + " (" + workerPool.getExecutionCounter() + " records)");
    }

    @Override
    public void failure(WorkerPool<MarcRecord> workerPool, Map<Runnable, Throwable> exceptions) {
        logger.log(Level.SEVERE, "failure of " + workerPool + " reason " + exceptions.toString());
    }

}
