package org.xbib.interlibrary.catalog.builder.util;

/**
 * The djb2 hash function of Daniel J. Bernstein.
 */
public class Djb2HashFunction {

    private Djb2HashFunction() {
    }

    public static long hash(String input) {
        return djbHash(5381L, input);
    }

    public static long hash(String input1, String input2) {
        return djbHash(djbHash(5381L, input1), input2);
    }

    private static long djbHash(long hash, String value) {
        for (int i = 0; i < value.length(); i++) {
            hash = ((hash << 5) + hash) + value.charAt(i);
        }
        return hash;
    }
}
