package org.xbib.interlibrary.catalog.builder.util;

import java.util.logging.Level;
import java.util.logging.Logger;

public class StringUtil {

    private static final Logger logger = Logger.getLogger(StringUtil.class.getName());

    private StringUtil() {
    }

    public static boolean isNullOrEmpty(String s) {
        return s == null || s.isEmpty();
    }

    public static Integer toInteger(String string, Integer defaultValue) {
        try {
            if (!isNullOrEmpty(string)) {
                return Integer.parseInt(string);
            }
        } catch (NumberFormatException e) {
            logger.log(Level.WARNING, "not a number: " + string);
        }
        return defaultValue;
    }
}
